Benutzung des Map Editors

#### Search Results

Search

# Benutzung des Map Editors

Folgende Themen werden behandelt:

- Allgemeines zum Map Editor

- Zugehörige Ansichten

- Hinzufügen von Controls (Steuerelementen) zur Map

- Auswählen von Controls in der Map

- Ändern des Referenz-Control für die Auswahl

- Verwalten der Controls in der Map

- Definieren von Regeln

- Verschieben von Datendefinitionen in Datenfelder

- Bearbeiten des Codes einer Map

- Ändern der Eigenschaften der Map

- Ändern der Eigenschaften einer Textkonstante

- Ändern der Eigenschaften für ein Datenfeld

- Ändern der Eigenschaften für eine Regel

- Definieren von Arrays

- Anzeigen der Statuseigenschaften

- Speichern von Maps

- Speichern von Maps (Stow)

- Validierung von Maps

- Fehlerbehandlung im Map-Editor

## Allgemeines zum Map Editor

Das `INPUT`-Statement bietet die Möglichkeit, vordefinierte Masken-Layouts (Natural-Objekttyp Map) zu verwenden.

Wenn Sie eine Map erstellen oder bearbeiten, wird der Map Editor (Masken-Editor) aufgerufen. Der Map Editor ist ein mehrseitiger Editor, der die folgenden Seiten umfasst:

- Layout
  Zeigt die grafische Darstellung der Map und bietet eine Palette zum Einfügen von Controls (Steuerelementen) in die Map.

- List
  Zeigt den Natural-Code an, der dem aktuellen Zustand der gesamten Map entspricht.

- Data
  Zeigt die Datendefinition für den Datenbereich an, der gerade in der Outline-Ansicht ausgewählt ist.

- Source
  Wird nur angezeigt, wenn mindestens eine Verarbeitungsregel definiert wurde. Zeigt den Code für eine Verarbeitungsregel an.

Das Verhalten des Map Editor kann durch Ändern der Natural-Voreinstellungen beeinflusst werden. Siehe Map Editor in Setting the Preferences in der NaturalONE-Dokumentation.

Weitere Informationen zum Natural-Objekttyp Map und dessen Verwendung finden Sie unter Map im Leitfaden zur Programmierung bzw. in der Natural-Dokumentation für die entsprechende Plattform.

## Zugehörige Ansichten

Der Map Editor verwendet die folgenden Ansichten der NaturalONE-Perspektive::

- Outline-Ansicht

- Dependencies-Ansicht

- Properties-Ansicht

### Outline-Ansicht

In dieser Ansicht werden die verschiedenen Komponenten der Map in einer Baumstruktur dargestellt. Dazu gehören Datendefinitionen, Felddefinitionen und Verarbeitungsregeln (map- und feldbasiert). Wenn ein dynamisches Layout vorhanden ist, werden dessen Komponenten ebenfalls in einer separaten Hierarchie angezeigt.

Sie können ein Kontextmenü aufrufen, um z. B. das ausgewählte Element zu löschen oder eine neue Verarbeitungsregel zu erstellen.

Sie können zu einem bestimmten Element in der Map navigieren, indem Sie es in der Outline-Ansicht auswählen, und umgekehrt.

Wenn die Definition eines Elements im Baum geändert oder ein neues Element erstellt wurde, wird für dieses Element eine als "Label Decoration" bezeichnete Beschriftung in Form eines Sterns angezeigt.

Anmerkung
Die Beschriftungen für Änderungen im Map Editor werden über die Einstellungen unter General > Appearance > Label Decorations gesteuert. Wenn Sie diese Label Decorations nicht wünschen, gehen Sie einfach auf die oben genannte Einstellungsseite und deaktivieren Sie Natural Map Editor Modifications.

Fehler und Warnungen werden ebenfalls in Form von Label Decorations angezeigt. Weitere Informationen finden Sie unter Fehlerbehandlung im Map-Editor.

### Dependencies-Ansicht

Diese Ansicht zeigt die Abhängigkeiten zwischen der Map, die gerade im aktiven Editorfenster angezeigt wird, und anderen Objekten. Wenn beispielsweise die passiven Cross-Referenzen gerade angezeigt werden, können Sie alle Natural-Objekte sehen, die die bearbeitete Map referenzieren.

Weitere Informationen zu dieser Ansicht finden Sie unter Dependencies-Ansicht in der Beschreibung des Source Editors.

### Properties-Ansicht

In dieser Ansicht werden die Eigenschaften des Elements angezeigt, das gerade im aktiven Map Editor-Fenster oder in der Outline-Ansicht ausgewählt ist. Sie können die in dieser Ansicht angezeigten Werte ändern. Beispiel für ein Datenfeld:

Weitere Informationen zu den verschiedenen Arten von Eigenschaften finden Sie weiter unten.

## Hinzufügen von Controls (Steuerelementen) zur Map

Sie können Controls mit Hilfe der Palette, durch Klonen vorhandener Controls oder durch Importieren von Datendefinitionen hinzufügen.

Um ein Control zur Map hinzuzufügen

1. Vergewissern Sie sicher, dass die Layout-Seite angezeigt wird.

2. Wenn die Palette derzeit ausgeblendet ist, blenden Sie sie über die Pfeil-Schaltfläche ein.

   Anmerkung
   Standardmäßig wird die Palette auf der rechten Seite des Map Editors angezeigt. Sie können sie auch auf die andere Seite des Map Editors verschieben.

3. Klicken Sie auf die grafische Darstellung des gewünschten Control in der Palette.

4. Klicken Sie auf die Position in der Map, an der Sie das Control platzieren möchten. Lassen Sie die Maustaste nicht sofort los. Halten Sie sie gedrückt und zeichnen Sie den Umriss des Control, bis es die gewünschte Größe hat. Lassen Sie dann die Maustaste los.

   Das neue Control wird nun in der Outline-Ansicht und in der Properties-Ansicht angezeigt.

Um ein Control zu klonen:

1. Wählen Sie ein oder mehrere Controls auf der Layout-Seite aus. Dabei kann es sich um Textkonstanten oder Datenfelder handeln.

2. Drücken Sie die STRG-Taste und ziehen Sie das/die ausgewählte(n) Control(s) an eine andere Position in der Map.

   Oder:
   Verwenden Sie Kopieren und Einfügen. Dies funktioniert auch zwischen zwei verschiedenen Maps. Wenn Controls in dieselbe Map eingefügt werden, überlagern sie die Positionen der kopierten Controls und Sie müssen sie an die gewünschten Positionen verschieben.

Um ein Control auf der Grundlage einer externen Datendefinition zu erstellen (Methode 1):

1. Vergewissern Sie sich, dass die Layout-Seite angezeigt wird.

2. Rufen Sie das Kontextmenü an der Stelle auf, an der Sie das/die importierte(n) Datenfeld(er) platzieren möchten, und wählen Sie Import Data Fields (Datenfelder importieren).

   Oder:
   Drücken Sie ALT+SHIFT+I.

   Der Dialog Import Data Fields wird angezeigt.

3. Wählen Sie im Dialog die zu importierende(n) Datendefinition(en) aus, wie unter Importieren von Datenfeldern beschrieben.

   #### Notes:

   1. Wenn das ausgewählte Feld bereits als änderbares (Modifiable) Feld in der Map vorhanden ist und angepasst werden kann, wird ein Bestätigungsdialog angezeigt. Dieses Verhalten kann durch Ändern der Natural-Voreinstellungen beeinflusst werden. Siehe Map Editor in Setting the Preferences in der NaturalONE-Dokumentation.

   2. Die Warnung erscheint nicht, wenn das Feld als reines Ausgabefeld (Output Only) in der Map vorhanden ist. In diesem Fall wird das Feld als neues Feld an der ausgewählten Position importiert. Um die Datendefinition anzupassen, führen Sie die folgenden Schritte durch, bevor Sie das Datenfeld importieren:

      1. Wählen Sie die Ein-/Ausgabe-Merkmale in der Properties-Ansicht aus.

      2. Ändern Sie die Einstellung von Output Only auf einen anderen Attributwert.

      3. Schalten Sie die Ein-/Ausgabe-Merkmale wieder auf die alte Einstellung zurück.

Um ein Control auf der Grundlage einer externen Datendefinition zu erstellen (Methode 2):

1. Wechseln Sie zur Data-Seite.

2. Rufen Sie das Kontextmenü an der Stelle auf, an der Sie das/die importierte(n) Datenfeld(er) platzieren möchten, und wählen Sie Advanced Edit Features > Import Data Fields.

   Oder:
   Drücken Sie ALT+SHIFT+I.

   Der Import Data Fields wird angezeigt.

3. Wählen Sie in diesem Dialogfeld die zu importierende(n) Datendefinition(en) aus, wie unter Importieren von Datenfeldern beschrieben.

   Für jede importierte Datendefinition wird ein neuer Feldknoten für den aktuellen Datenabschnitt in der Outline-Ansicht erstellt.

4. Verschieben Sie die Datendefinitionen in Datenfelder, wie unter Verschieben von Datendefinitionen in Datenfelder beschrieben.

## Auswählen von Controls in der Map

Sie können Controls entweder auf der Layout-Seite oder in der Outline-Ansicht auswählen.

Die Palette auf der Layout-Seite bietet verschiedene Werkzeuge für die Auswahl: das Select Tool/Auswahlwerkzeug (Standard) und das Marquee Tool/Markierungswerkzeug.

Um Controls mit dem Auswahlwerkzeug auszuwählen:

1. Vergewissern Sie sich, dass die Option Select in der Palette ausgewählt ist.

2. Klicken Sie auf der Layout-Seite auf das Control, das Sie auswählen möchten.

   Oder:
   Um mehr als ein Control auszuwählen, halten Sie die STRG-Taste gedrückt und klicken Sie dann auf jedes gewünschte Control auf der Layout-Seite.

   Die Auswahl wird automatisch in der Outline-Ansicht übernommen.

Um Controls mit dem Markierungswerkzeug auszuwählen:

1. Wählen Sie Marquee in der Palette.

2. Ziehen Sie auf der Layout-Seite den Mauszeiger um alle Controls, die Sie in Ihre Auswahl aufnehmen möchten.

   Die Auswahl wird automatisch in der Outline-Ansicht übernommen.

Um mehrere Controls in der Outline-Ansicht auszuwählen:

- Halten Sie die STRG-Taste gedrückt und klicken Sie dann auf jedes gewünschte Control in der Outline-Ansicht.

  Die Auswahl wird automatisch auf der Layout-Seite übernommen.

Um ein ganzes Array auszuwählen:

1. Drücken Sie ALT.

2. Klicken Sie auf der Layout-Seite auf eines der Feldelemente des Arrays.

Anmerkung
Um eine Zwischenablage-Operation (Cut/Ausschneiden, Copy/Kopieren, Delete/Löschen) bei einem Array auszuführen, genügt es, eines oder mehrere seiner Elemente auszuwählen. Standardmäßig wird ein Dialog angezeigt, in dem Sie aufgefordert werden, den Vorgang zu bestätigen. Sie können diesen Dialog für die Zukunft unterdrücken, entweder im Bestätigungsdialog selbst oder in den Natural-Voreinstellungen (siehe Map Editor in Setting the Preferences in der NaturalONE-Dokumentation). Mit dieser Funktion kann die Zwischenablage in Verbindung mit der Markierungsauswahl (siehe oben) verwendet werden.

## Ändern des Referenz-Control für die Auswahl

Obwohl mehrere Controls ausgewählt werden können, ist immer nur eines dieses Control das Referenz-Control, das sich von den anderen ausgewählten Controls dadurch unterscheidet, dass die Ziehpunkte nicht hohl, sondern gefüllt sind. Für einige Operationen, wie z. B. das Löschen von Controls, ist das Referenz-Control unerheblich. Bei anderen Operationen, wie z. B. dem Ausrichten von Feldern, muss jedoch eines der ausgewählten Controls als Grundlage für die Operation verwendet werden, und das ist unveränderbar das Referenz-Control.

Um das Referenz-Control zu ändern:

1. Wählen Sie auf der Layout-Seite alle gewünschten Controls aus.

2. Drücken Sie SHIFT und halten Sie die Taste gedrückt.

3. Klicken Sie auf das neue Referenz-Control.

4. Führen Sie die gewünschte Aktion aus.

## Verwalten der Controls in der Map

Um die Größe eines Control zu ändern oder es zu verschieben:

1. Wählen Sie das Control auf der Layout-Seite der Map aus.

2. Benutzen Sie die Maus, um die Größe des Controls zu ändern oder es zu verschieben.

   Oder:
   Ändern Sie die entsprechenden Werte in der Properties-Ansicht.

   Anmerkung
   Wenn Sie die Größe eines Arrays ändern, wird nicht die Breite oder Höhe der einzelnen Elemente, sondern die Anzahl der Array-Elemente geändert. Da nur ganze Zeilen und Spalten angezeigt werden können, kann dies dazu führen, dass nichts passiert, wenn das Begrenzungsrechteck für das Array in einer der beiden Richtungen nicht genug erweitert wurde, um eine zusätzliche Zeile oder Spalte aufzunehmen. Informationen darüber, wie man ein ganzes Array vor der Größenänderung auswählt, siehe Selecting Controls in the Map in der NaturalONE-Dokumentation.

Um eine Textkonstante umzubenennen:

1. Wählen Sie die Textkonstante auf der Layout-Seite der Map oder in der Outline-Ansicht aus.

2. Ändern Sie den Label-Wert in der Properties-Ansicht.

   Oder:
   Klicken Sie auf der Layout-Seite noch einmal auf die Textkonstante und geben Sie dann die neue Bezeichnung ein.

Um ein Control zu löschen:

1. Wählen Sie das Control auf der Layout-Seite der Map oder in der Outline-Ansicht aus.

2. Drücken Sie DEL.

   Oder:
   Rufen Sie in der Outline-Ansicht das Kontextmenü auf und wählen Sie Delete.

Um mehrere Controls auszurichten:

1. Markieren Sie die Controls auf der Layout-Seite der Map.

2. Rufen Sie das Kontextmenü auf und wählen Sie Align > alignment-option.

   Die Controls werden relativ zum Referenz-Control ausgerichtet. Siehe auch Changing the Reference Control for Selection in der NaturalONE-Dokumentation.

## Definieren von Regeln

Sie können Verarbeitungsregeln und freie Predict-Regeln für Datenfelder definieren. Siehe auch Ändern der Eigenschaften für eine Regel.

Um eine Verarbeitungsregel zu erstellen:

1. Wählen Sie ein Datenfeld in der Outline-Ansicht aus.

   Oder:
   Markieren Sie den obersten Knoten in der Outline-Ansicht, wenn Sie eine Verarbeitungsregel für die gesamte Map erstellen möchten.

2. Rufen Sie das Kontextmenü auf und wählen Sie New Rule.

   Oder:
   Drücken Sie CTRL+ALT+R.

   Eine neue Regel wird in der Outline-Ansicht angezeigt und die Source-Seite des Map-Editors wird automatisch geöffnet.

3. Geben Sie die Verarbeitungsregel auf der Source-Seite ein. Zum Beispiel:

       IF & = ' ' THEN
         REINPUT 'Please enter a starting name.'
         MARK *&
       END-IF

   Ein kaufmännisches Und (&) in der Verarbeitungsregel wird dynamisch durch den Namen des Feldes ersetzt.

4. Definieren Sie den Rang für die Regel in der Properties-Ansicht.

   Der Rang definiert die Reihenfolge, in der die Regeln für die verschiedenen Felder abgearbeitet werden sollen.

Um freie Predict-Regeln zu verlinken:

ONur verfügbar, wenn Predict in der entsprechenden Natural-Server-Umgebung verfügbar ist.

1. Markieren Sie ein Datenfeld in der Outline-Ansicht.

2. Rufen Sie das Kontextmenü auf und wählen Sie Free Rule Wizard.

   Es erscheint das folgende Dialogfenster.

3. Geben Sie den Namen der Regel, den Predict-Eigentümer und bis zu fünf Schlüsselwörter ein, unter denen die Regel in Predict gespeichert wird.

   Für den Regelnamen kann die Stern-Notation verwendet werden, die Schlüsselwörter können mit den Booleschen Operatoren `AND` und `OR` kombiniert werden, und es kann auch ein `BUT NOT`-Schlüsselwort angegeben werden.

4. Wählen Sie die Schaltfläche Next.

   Es wird eine Liste mit freien Regeln angezeigt.

5. Markieren Sie die Regel(n), die Sie mit dem Feld verknüpfen wollen.

6. Optional: Wählen Sie die Schaltfläche Next, um eine Vorschau der ausgewählten Regel(n) anzuzeigen.

7. Wählen Sie die Schaltfläche Finish, um die Regel(n) mit dem Feld zu verknüpfen.

Um die Verknüpfung von freien Predict Regeln aufzuheben:

1. Markieren Sie die Regel in der Outline-Ansicht.

2. Drücken Sie DEL.

   Oder:
   Rufen Sie das Kontextmenü auf und wählen Sie Delete.

   Anmerkungen:

   1. Wenn Sie die Verknüpfung einer Regel aufheben, wird die Regel auf dem Predict-Server nicht gelöscht.
   2. Die Verknüpfung einer automatischen Regel, die implizit für ein View-Feld erstellt wurde, kann nicht aufgehoben werden.

## Verschieben von Datendefinitionen in Datenfelder

Sie können eine Datendefinition aus einem für die Map definierten lokalen Datenbereich (LDA) oder Parameterdatenbereich (PDA) in ein Datenfeld verschieben.

Um eine Datendefinition in ein Datenfeld zu verschieben:

1. Markieren Sie eine Datendefinition in der Outline-Ansicht (d.h. markieren Sie einen Eintrag unter Local Data oder Parameter Data).

2. Rufen Sie das Kontextmenü auf und wählen Sie Create Map Field(s).

   Die Datendefinition wird unter Local Data oder Parameter Data entfernt.

   Ein neues Datenfeld ist nun auf der Layout-Seite verfügbar. Es befindet sich zunächst in der linken oberen Ecke der Map (Zeile 1 und Spalte 1), von wo aus Sie es an die gewünschte Position verschieben können.

## Bearbeiten des Codes einer Map

Wenn Sie das Kontextmenü auf der List-, Data- oder Source-Seite des Map-Editors aufrufen, sind auch mehrere Standard-Kommandos für den Source Editor verfügbar. Ausführliche Informationen zu diesen Kommandos finden Sie in den entsprechenden Beschreibungen unter Benutzung des Source Editors.

## Ändern der Eigenschaften der Map

Wenn Sie die Eigenschaften (Properties) für die Map selbst anzeigen (z. B. durch Auswahl des obersten Eintrags in der Outline-Ansicht), können Sie die Folgendes ändern:

Eigenschaft | Beschreibung
--- | ---
Erscheinungsbild (Appearance)
Control Variable | Kontrollvariable Der Name einer Attribut-Kontrollvariable, deren Inhalt die Attributeigenschaften von Feldern und Texten bestimmt, die die Attributdefinition `AD=Y` haben. Die Attribut-Kontrollvariable, auf die in der Map verwiesen wird, muss in dem Programm, das diese Map verwendet, definiert sein. Das Entfernen einer Attribut-Kontrollvariablen aus den Map-Eigenschaften bedeutet, dass die Attribut-Kontrollvariable auch aus der Map entfernt wird, sofern sie nicht mit einem anderen Map-Feld verknüpft ist.
Print Mode (PM) | Druck-/Anzeige-Modus Der Standard-Druck-/Anzeige-Modus für Variablen. Dieser Wert wird in die Felddefinition kopiert, wenn ein neues Feld erstellt wird. Sie können den gewünschten Wert aus dem Dropdown-Listenfeld auswählen: None Alternative character set / Alternativer Zeichensatz (C) Inverse print direction / Invertierte Druckrichtung (I) No hardcopy can be made / Es kann keine Hardcopy erstellt werden (N) None / Keine bedeutet, dass der Standardzeichensatz verwendet wird. For further information, see the description of the session parameter `PM` in the Natural documentation for the appropriate platform. Weitere Informationen finden Sie in der Beschreibung des Session-Parameters `PM` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.
Filler Characters / Füllzeichen
Label Filler | Label-Füllzeichen Nachgestelltes Füllzeichen, das zum Auffüllen von Textkonstanten-Labels verwendet wird, wenn die Länge des Labels kleiner ist als die Breite der Textkonstante.
Optional, complete | Optional, vollständig Füllzeichen für Felder, die optional sind, aber vollständig ausgefüllt werden müssen, wenn sie verwendet werden.
Optional, partial | Optional, teilweise Füllzeichen für Felder, die optional sind und teilweise ausgefüllt werden können.
Required, complete | Erforderlich, vollständig Füllzeichen für Felder, die erforderlich sind (Pflichtfelder) und die obligatorisch sind und vollständig ausgefüllt werden müssen.
Required, partial | Erforderlich, teilweise Füllzeichen für Felder, die erforderlich sind (Pflichtfelder) und teilweise ausgefüllt werden dürfen.
General / Allgemein
Auto Rule Rank | Autom. Regel Rang Der Standard-Rang für jede neu erstellte Verarbeitungsregel in der Map. (Später können Sie die Ränge individuell ändern).
Column Shift | Spaltenverschiebung Spaltenverschiebung (0 oder 1), die bei der Map angewendet werden soll. Diese Funktion kann verwendet werden, um alle 80 Spalten auf einem 80-spaltigen Bildschirm anzusprechen (Spaltenverschiebung = 1, Zeilengröße = 80).
Decimal Character | Dezimalzeichen Das Zeichen, das als Dezimalzeichen verwendet werden soll. Das Standardzeichen ist ein Punkt (.).
Field Sensitive | Feldsensitiv Wenn dieser Wert auf true gesetzt ist, wird die Konsistenzprüfung für ein Map-Feld durchgeführt, sobald das Feld vom Benutzer ausgefüllt wird. Ist der Wert auf false gesetzt, wird die Feldprüfung durchgeführt, wenn die Map vollständig ausgefüllt ist.
Help Map | Hilfe-Map Wenn diese Option auf true gesetzt ist, wird die Map als Hilfetext markiert. Bei der Einstellung false wird die Map nicht als Hilfetext gekennzeichnet.
Manual Skip | Manuelles Überspringen Wenn diese Option auf true gesetzt ist, wird der Cursor zur Ausführungszeit nicht automatisch zum nächsten Feld in der Map bewegt, selbst wenn das aktuelle Feld vollständig ausgefüllt ist. Bei false wird der Cursor zur Ausführungszeit automatisch zum nächsten Feld in der Map bewegt.
Output Map | Ausgabe-Maske Wenn diese Option auf true gesetzt ist, ist das Ergebnis des Map-Definitionsprozesses ein `WRITE`-Statement und die resultierende (Ausgabe-)Map kann von einem Programm aus mit einem `WRITE USING FORM`-Statement aufgerufen werden. Leerzeilen am Ende der Map werden automatisch gelöscht, so dass die Map mehrfach auf einer Seite ausgegeben werden kann. Bei false ist das Ergebnis der Map-Definition ein `INPUT`-Statement und die resultierende Map kann von einem Programm aus mit einem `INPUT USING MAP`-Statement aufgerufen werden.
Right Justified | Rechtsbündig Wenn diese Option auf true gesetzt ist, werden numerische und alphanumerische Felder, die aus Datendefinitionen anderer Natural-Objekte kopiert werden, rechtsbündig ausgerichtet. Bei der Einstellung false werden numerische und alphanumerische Felder, die aus Datendefinitionen anderer Natural-Objekte kopiert werden, nicht rechtsbündig ausgerichtet.
Standard Keys | Standard-Tasten Wenn diese Option auf true gesetzt ist, bleiben die letzten beiden Zeilen der Map leer, damit zur Ausführungszeit Funktionstastenspezifikationen eingegeben werden können. Ist der Wert auf false gesetzt, werden alle Zeilen für die Map verwendet.
Upper Case | Großbuchstaben Wenn diese Option auf true gesetzt ist, wird die Eingabe bei der Ausführung der Map in Großbuchstaben umgewandelt. Bei false wird die Eingabe bei der Ausführung der Map nicht in Großbuchstaben umgewandelt.
Zero Printing | Anzeige von Nullwerten Wenn diese Option auf true gesetzt ist, werden numerische Felder, die ausschließlich Nullen enthalten, ausgegeben (Anzeige einer Null, rechtsbündig). Bei false wird die Ausgabe von numerischen Feldern, die nur Nullen enthalten, unterdrückt.
Help / Hilfe
Helproutine Name | Name der Helproutine Der Name der Helproutine oder Help-Map, die zur Ausführungszeit aufgerufen wird, wenn die Hilfefunktion für diese Map aufgerufen wird (globale Hilfe für die Map).
Help Field Default | Hilfefeld Standard Wird nur angezeigt, wenn der Name einer Helproutine oder einer Help-Map definiert wurde. Bei true gilt die für die Map angegebene Helproutine oder Help-Map als Standard für jedes einzelne Feld der Map, d.h. der Name jedes Feldes wird einzeln an die Helproutine oder Help-Map übergeben. Bei false wird der Name der Map an die Helproutine bzw. Help-Map übergeben.
Help Parameters | Hilfe-Parameter Wird nur angezeigt, wenn der Name einer Helproutine oder einer Help-Map definiert wurde. Geben Sie den/die Namen des Parameters/der Parameter ein, die zur Ausführungszeit aufgerufen werden, wenn die Hilfefunktion aufgerufen wird.
Die Syntax, die für die Angabe von Helproutine-Namen und -Parametern gilt, entspricht der Syntax des Session-Parameters `HE` (siehe Parameter-Referenz-Dokumentation bzw. Natural-Dokumentation für die entsprechende Plattform).
Layout
Layout Name | Name des Layouts Der Name der Map, die als Standard-Layout für die aktuelle Map dient. Sie können diese Eigenschaft verwenden, um die Erstellung vieler ähnlicher Maps zu vereinfachen, indem Sie eine Map als grundlegende Layout-Map mit einer Reihe von Feldern erstellen, die von den anderen Feldern verwendet werden sollen. In allen ähnlichen Maps geben Sie den Namen der Standard-Layout-Map an und fügen nur die Felder hinzu, die für die neue Map spezifisch sind.
Dynamic Layout | Dynamisches Layout Wenn diese Option auf true gesetzt ist, werden die Felder zur Laufzeit dynamisch in das Layout importiert. Das bedeutet, dass Sie Ihr Standard-Layout ändern können und diese Änderung automatisch in allen ähnlichen Maps, die dieses Layout verwenden, übernommen wird. Bei false wird das Standard-Layout nicht dynamisch verwendet.
RTL Support / RTL-Unterstützung
Visual Order | Visuelle Anordnung Bei true wird angenommen, dass die Textkonstanten der Map in visueller Reihenfolge angeordnet sind. Bei false (Standardeinstellung) wird angenommen, dass die Textkonstanten in logischer Reihenfolge angeordnet sind. Siehe auch Unterstützung bidirektionaler Sprachen.
Size / Größe
Columns | Spalten Die Anzahl der Spalten, aus denen sich die Breite der Map zusammensetzt.
Rows | Zeilen Die Anzahl der Zeilen, aus denen sich die Höhe der Map zusammensetzt.

## Ändern der Eigenschaften einer Textkonstante

Wenn Sie eine Textkonstante auswählen, können Sie die folgenden Eigenschaften ändern:

Eigenschaft | Beschreibung
--- | ---
Erscheinungsbild (Appearance)
Color Definition (CD) | Farbdefinition Legt das Farbattribut für die Textkonstante fest. Sie können den gewünschten Wert aus dem Dropdown-Listenfeld auswählen: Default (None) - Standard Blue (BL) - blau Green (GR) - grün Neutral (NE) - neutral Pink (PI) - rosa Red (RE) - rot Turquoise (TU) - türkis Yellow (YE) - gelb Weitere Informationen siehe Beschreibung des Session-Parameters `CD` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.
Attribut-Definition (AD)
Representation | Feldanzeige Legt fest, wie der Wert angezeigt wird. Sie können den gewünschten Wert aus dem Dropdown-Listenfeld auswählen: Default (None) - Standard Blinking (B) - blinkend Italic (C) - kursiv Intensified (I) - intensiviert Non-display (N) - nicht sichtbar Underlined (U) - unterstrichen Reverse Video (V) - invers Dynamic (Y) - dynamische Attribute Weitere Informationen siehe Beschreibung des Session-Parameters `AD` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.
General / Allgemein
Label | Bezeichnung Das Label, das auf der Map erscheinen soll.
Position
Column | Spalte Die Spalte in der Map, in der die Textkonstante beginnt. Wenn Sie die Textkonstante mit der Maus verschieben, wird dieser Wert automatisch angepasst.
Row | Zeile Die Zeile in der Map, die die Textkonstante enthält. Wenn Sie die Textkonstante mit der Maus verschieben, wird dieser Wert automatisch angepasst.
Größe
Width | Breite Die Länge der Textkonstante. Wenn Sie die Größe der Textkonstante mit der Maus ändern, wird dieser Wert automatisch angepasst.

## Ändern der Eigenschaften für ein Datenfeld

Wenn Sie ein Datenfeld auswählen, können Sie die folgenden Eigenschaften (Properties) ändern:

Eigenschaft | Beschreibung
--- | ---
Erscheinungsbild (Appearance)
Color Definition (CD) | Farbdefinition Legt das Farbattribut für das Datenfeld fest. Sie können den gewünschten Wert aus dem Dropdown-Listenfeld auswählen: Default (None) - Standard Blue (BL) - blau Green (GR) - grün Neutral (NE) - neutral Pink (PI) - rosa Red (RE) - rot Turquoise (TU) - türkis Yellow (YE) - gelb Weitere Informationen siehe Beschreibung des Session-Parameters `CD` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.
Print Mode (PM) | Druck-/Anzeige-Modus Legt den Druckmodus für das Datenfeld fest. Sie können den gewünschten Wert aus dem Dropdown-Listenfeld auswählen: Sie können den gewünschten Wert aus dem Dropdown-Listenfeld auswählen: None Alternative character set / Alternativer Zeichensatz (C) Inverse print direction / Invertierte Druckrichtung (I) No hardcopy can be made / Es kann keine Hardcopy erstellt werden (N) None / Keine bedeutet, dass der Standardzeichensatz verwendet wird. Weitere Informationen finden Sie in der Beschreibung des Session-Parameters `PM` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.
Array-Informationen
Dimensions | Dimensionen Sie können ein Array mit bis zu drei Dimensionen definieren. Weitere Informationen finden Sie unter Definieren von Arrays.
Attribut-Definition (AD)
Alignment | Ausrichtung des Feldwertes Legt fest, wie der Inhalt des Feldes angezeigt wird. Sie können den gewünschten Wert aus dem Dropdown-Listenfeld auswählen: None - keine Left-justified (L) - linksbündig Right-justified (R) - rechtsbündig Leading zeros (Z) - vorangestellte Nullen "Keine" bedeutet, dass die Standardausrichtung verwendet wird, die vom Format eines Feldes abhängt. "Linksbündig" ist die Standardeinstellung für alphanumerische Felder. "Rechtsbündig" ist der Standard für numerische Felder. "Vorangestellte Nullen" können für numerische Werte definiert werden, die dann rechtsbündig angezeigt werden. Weitere Informationen siehe Beschreibung des Session-Parameters `AD` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.
Casing | Groß-/Kleinschreibung Upper case (T) - Kleinbuchstaben werden in Großbuchstaben umgesetzt Mixed case (W) - Kleinbuchstaben werden akzeptiert Weitere Informationen siehe Beschreibung des Session-Parameters `AD` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.
Filler Character | Füllzeichen Sie können ein Zeichen angeben, das zum Füllen leerer Eingabefelder oder veränderbarer Ausgabefelder verwendet werden soll. Wenn Sie ein Eingabefeld bearbeiten, das bis zu seiner maximalen Länge mit Leerzeichen aufgefüllt ist, kann es so aussehen, als ob der Text nicht bearbeitet werden kann. In solchen Fällen müssen die Leerzeichen vom Ende des Feldes her explizit gelöscht werden.
I/O Characteristics | Ein-/Ausgabe-Eigenschaften Legt fest, ob das Feld ein Eingabe- oder ein Ausgabefeld ist. Sie können den gewünschten Wert aus dem Dropdown-Listenfeld auswählen: Input Only (A) - Nur Eingabe Output and Input (M) - Ausgabe und Eingabe Output Only (O) - Nur Ausgabe
Input Length | Eingabe-Länge Legt fest, ob der in das Feld eingegebene Wert die gleiche Länge wie das Feld haben muss (feste Länge - nur für Nur-Eingabe-Felder relevant) oder ob der in das Feld eingegebene Wert kürzer sein darf als das Feld (variable Länge). Sie können den gewünschten Wert aus dem Dropdown-Listenfeld auswählen: Fixed (G) - feste Länge Variable (H) - variable Länge
Mandatory Input | Obligatorische Eingabe (Pflichtfeld) Legt fest, ob ein Wert in das Feld eingegeben werden muss (nur relevant für Nur-Eingabe-Felder (`AD=A`)) oder ob ein Wert in das Feld eingegeben werden kann, aber nicht muss. Sie können den erforderlichen Wert aus dem Dropdown-Listenfeld auswählen: Input Mandatory (E) - Eingabe obligatorisch Input Optional (F) - Eingabe fakultativ
Representation | Darstellung Legt fest, wie der Wert angezeigt wird. Sie können den gewünschten Wert aus dem Dropdown-Listenfeld auswählen: Default (None) - Standard Blinking (B) - blinkend Italic (C) - kursiv Intensified (I) - intensiviert Non-display (N) - nicht sichtbar Underlined (U) - unterstrichen Reverse Video (V) - invers Dynamic (Y) - dynamische Attribute
Weitere Informationen siehe Beschreibung des Session-Parameters `AD` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.
General / Allgemein
Alphanumeric Length (AL) | Alphanumerische Länge (AL) Wird nur bei den Natural-Datenformaten A (alphanumerisch) und U (Unicode) angezeigt. Sie können die Standardausgabelänge für ein alphanumerisches Feld angeben, d.h. wenn sie kürzer als die Feldlänge angegeben wird, wird das Feld rechts abgeschnitten. Weitere Informationen finden Sie in der Beschreibung des Session-Parameters `AL` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.
Control Variable (CV) | Kontrollvariable Sie können eine Kontrollvariable für ein dynamisches Feldattribut eingeben. Dies ist die Kontrollvariable, die die Attribute enthält, die für das Datenfeld verwendet werden sollen. Die Variable muss in dem Programm, das die Map referenziert, im Natural-Datenformat C (für Attributsteuerung) definiert sein. Die Kontrollvariable enthält auch ein `MODIFIED`-Daten-Tag, das anzeigt, ob das Feld nach der Ausführung der Map geändert wurde. Eine einzelne Kontrollvariable kann auf mehrere Map-Felder angewendet werden. In diesem Fall wird das `MODIFIED`-Daten-Tag gesetzt, wenn eines der Felder, die die Kontrollvariable referenzieren, geändert wurde. Weitere Informationen finden Sie in der Beschreibung des Session-Parameters `CV` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.
Display Length (DL) | Anzeigelänge Wird nur bei den Natural-Datenformaten A (alphanumerisch) und U (Unicode) angezeigt. Mit dieser Eigenschaft können Sie die Ausgabelänge für Unicode-Strings angeben, die zusätzlichen Platz benötigen können. Weitere Informationen finden Sie in der Beschreibung des Session-Parameters `DL` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.
Date Format (DF) | Datumsformat Wird nur für das Natural-Datenformat D (Datum) angezeigt. Diese Eigenschaft bestimmt die Länge eines Datums, wenn es in eine alphanumerische Darstellung umgewandelt wird, ohne dass eine Editiermaske angegeben ist. Sie können die gewünschte Option aus dem Dropdown-Listenfeld auswählen: Default (none) - Standard (keine) Short (S) - Kurz Internal (I) - Intern Long (L) - Lang Weitere Informationen finden Sie in der Beschreibung des Session-Parameters `DF` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.
Dynamic Attributes (DY) | Dynamische Attribute Sie können Attribute für die dynamische Anzeige von Attributfeldern zuweisen. Weitere Informationen finden Sie in der Beschreibung des Session-Parameters `DY` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.
Edit Mask (EM) | Editiermaske Sie können die Editiermaske eingeben, die für das Datenfeld verwendet werden soll. Weitere Informationen finden Sie in der Beschreibung des Session-Parameters `EM` und `EMU` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform. Anmerkung Die Editiermaske hat Vorrang vor der Anzeigelänge.
Float Length (FL) | Gleitkomma-Mantissenlänge Wird nur für das Natural-Datenformat F (Gleitkomma) angezeigt. Sie können die Mantissenlänge einer Gleitkommavariablen bei der Eingabe oder Ausgabe angeben. Weitere Informationen finden Sie in der Beschreibung des Session-Parameters `FL` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.
Format | Datenformat Sie können das gewünschte Natural-Datenformat aus dem Dropdown-Listenfeld auswählen: Alphanumeric (A) - Alphanumerisch Binary (B) - Binär Date (D) - Datum Floating point (F) - Gleitkomma Integer (I) - Ganzzahl Logical (L) - Logisch Numeric (N) - Numerisch Packed numeric (P) - Gepackt numerisch Time (T) - Zeit Unicode (U) Das Standardformat ist A. Anmerkung Da die zur Definition eines Feldes erforderlichen Informationen vom Natural-Datenformat abhängen, können andere Eigenschaften erscheinen oder Eigenschaften nicht erscheinen, wenn sich das Format ändert.
Length | Länge Wird nur für die Natural-Datenformate A (alphanumerisch), B (binär), F (Fließkomma), I (Ganzzahl), N (numerisch), P (gepackt numerisch) und U (Unicode) angezeigt. Sie können die interne Länge des Feldes angeben, die von einem Programm verwendet wird, das dieses Feld referenziert. Gültige Eingabewerte finden Sie unter Format and Length of User-Defined Variables im Leitfaden zur Programmierung bzw. in der Natural-Dokumentation für die entsprechende Plattform.
Name | Name Der Name des Feldes. Anmerkung Der Standardname, der für das Feld beim ersten Anlegen generiert wird, hängt von den zulässigen Bezeichnerzeichen ab, die für die Natural-Serverumgebung definiert sind.
Numeric Length (NL) | Numerische Länge der Ausgabe Wird nur für die Natural-Datenformate B (binär), I (ganzzahlig), N (numerisch) und P (gepackt numerisch) angezeigt. Sie können die Standard-Ein-/Ausgabelänge für ein numerisches Feld angeben, das in einem `DISPLAY`-, `INPUT`-, `PRINT`- oder `WRITE`-Statement verwendet wird. Weitere Informationen finden Sie in der Beschreibung des Session-Parameters `NL` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.
Sign Position (SG) | Vorzeichen-Stelle Wird nur für die Natural-Datenformate F (Gleitkomma), I (Ganzzahl), N (numerisch) und P (gepackt numerisch) angezeigt. Über das Dropdown-Listenfeld können Sie angeben, ob für das Feld eine Stelle zur Anzeige des Vorzeichens zulässig sein soll. Weitere Informationen finden Sie in der Beschreibung des Session-Parameters `SG` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.
Zero Printing (ZP) | Anzeige von Nullwerten Wird nur für die Natural-Datenformate F (Gleitkomma), I (Ganzzahl), N (numerisch) und P (gepackt numerisch) angezeigt. Wenn diese Option aktiviert ist, werden Nullwerte als eine Null angezeigt. Ist die Option deaktiviert, werden Nullwerte unterdrückt. Weitere Informationen finden Sie in der Beschreibung des Session-Parameters `ZP` in der Parameter-Referenz-Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.
Help / Hilfe
Helproutine Name | Name der Helproutine Sie können den Namen einer Helproutine oder einer Help-Map eingeben, die dem Map-Feld zugeordnet werden soll. Die Helproutine oder Help-Map wird dann zur Ausführungszeit für das Map-Feld aufgerufen, wenn eine Hilfeanfrage für dieses Map-Feld gestellt wird.
Help Parameters | Hilfe-Parameter Wird nur angezeigt, wenn der Name einer Helproutine oder einer Help-Map definiert wurde. Geben Sie den Namen des/der Parameter(s) ein, der/die an die Helproutine oder Help-Map übergeben werden soll(en). Das Entfernen eines Parameters aus diesem Textfeld bedeutet, dass der Parameter auch aus der Map entfernt wird, es sei denn, der Parameter ist ein Map-Feld oder mit einem anderen Map-Feld als Hilfe-Parameter verknüpft oder ist ein Startindex für ein Array.
Die Syntax, die für die Angabe von Helproutine-Namen und -Parametern gilt, entspricht der Syntax des Session-Parameters `HE` (siehe Parameter-Referenz-Dokumentation bzw. die Natural-Dokumentation für die entsprechende Plattform). Zusätzlich zu den Syntaxerklärungen für `HE` gilt bei der Verwendung des Map-Editors Folgendes: operand1: Wenn ein Variablenname angegeben wird, der dem Namen eines Map-Feldes entspricht, muss dieses Feld mit Natural-Datenformat/Länge A8 vorliegen. Wird ein Variablenname angegeben, für den noch kein Map-Feld existiert, so wird automatisch ein Map-Parameter mit diesem Namen im Natural-Datenformat/Länge A8. operand2: Wird ein Variablenname angegeben, zu dem noch kein Map-Feld existiert, wird automatisch ein Map-Parameter mit diesem Namen im Natural-Datenformat/Länge N7 definiert.
Position
Column | Spalte Die Spalte in der Map, in der das Feld beginnt. Wenn Sie das Feld mit der Maus verschieben, wird dieser Wert automatisch angepasst.
Row | Zeile Die Zeile in der Map, die das Feld enthält. Wenn Sie das Feld mit der Maus verschieben, wird dieser Wert automatisch angepasst.
Größe
Width | Breite Die Länge des Feldes. Wenn Sie die Größe des Feldes mit der Maus ändern, wird dieser Wert automatisch angepasst.
Die folgenden Attribute bestimmen die Breite eines Feldes mit der folgenden Prioritätsreihenfolge:
    DL > EM > { AL, NL, FL } > [SG] Length
Wenn die Eigenschaft Breite geändert wird, wird das höchste verwendete Prioritätsattribut (d. h. das nicht Null oder nicht leer ist) angepasst. Ausnahme: Die Attribute Editiermaske (EM) und Länge werden nicht automatisch angepasst. Beispiele: Gegebene Feldlänge = 30 Die Breite wird auf 25 und `DL=0` => `AL` wird auf 25 gesetzt. Die Breite wird auf 25, `AL=18` und `DL` ist ungleich Null => `DL` wird auf 25 gesetzt. `EM=X(25)`, `DL=0` und `AL=18` => Eigenschaft Breite kann nicht geändert werden.

## Ändern der Eigenschaften für eine Regel

Wenn Sie eine Regel auswählen, können Sie die folgenden Eigenschaften (Properties) ändern:

Eigenschaft | Beschreibung
--- | ---
Type | Typ der Regel Kann einer der folgenden Werte sein: Inline Rule Eine Regel, deren Code im Quellcode der Map gespeichert ist. Free Rule Eine benannte Predict-Regel, die explizit mit einem Datenfeld oder mit der Map selbst verbunden sein kann. Automatic Rule Automatische Predict-Regeln gelten für Datenbankfelder und werden vom Predict-Administrator definiert. Wenn ein Datenfeld aus einer View-Datendefinition erstellt wird (siehe Verschieben von Datendefinitionen in Datenfelder), werden alle automatischen Regeln für dieses Feld implizit mit der Map-Definition verknüpft. Alle automatischen Regeln werden verkettet und als eine Map-Regel behandelt. Eine freie Regel kann in eine Inline-Regel umgewandelt werden, indem der Typ Inline Rule aus dem Dropdown-Listenfeld ausgewählt wird. Bei allen anderen Regeltypen ist dieses Dropdown-Listenfeld nicht verfügbar. Anmerkung Der Code für Predict-Regeln wird auf dem Predict-Server gespeichert und gepflegt und kann im Map Editor nicht geändert werden.
Rank | Rang Ein numerischer Wert (0 - 99), der die Reihenfolge bestimmt, in der die Regel relativ zu den anderen Regeln ausgeführt wird (falls vorhanden). Ein Feld kann bis zu 100 Verarbeitungsregeln haben, von denen jede einen eindeutigen Rang haben muss. Zur Ausführungszeit der Map werden die Verarbeitungsregeln in aufsteigender Reihenfolge ausgeführt, zunächst nach Rang, dann nach der Position des Feldes auf dem Bildschirm. Zu diesem Zweck wird davon ausgegangen, dass Verarbeitungsregeln, die mit der Map selbst verknüpft sind, immer die erste Bildschirmposition haben. Der Standardrang für automatische Regeln wird durch die Eigenschaft Auto Rule Rank in den Eigenschaften (Properties) der Map definiert. Siehe auch Ändern der Eigenschaften für die Map.

## Definieren von Arrays

Arrays werden in den Eigenschaften (Properties) eines Datenfelds definiert. Sie können ein Array mit bis zu drei Dimensionen definieren. Die Reihenfolge, in der die Dimensionen des Arrays auf das Map-Layout abgebildet werden, wird durch die von Ihnen eingegebenen Werte bestimmt.

Die Anzahl der angezeigten array-spezifischen Eigenschaften hängt von der Dimension ab, die Sie angeben. Wenn Sie z. B. den Wert 3 in der Eigenschaft Dimensions angeben, werden die folgenden Eigenschaften angezeigt:

Sie können die folgenden Array-Eigenschaften ändern:

Eigenschaft | Beschreibung
--- | ---
Dimensions | Dimensionen Wenn dieser Wert auf 0 gesetzt ist, werden keine Dimensionen verwendet (Standard) und dies ist die einzige Eigenschaft, die unter Array Info angezeigt wird. Sie können den Wert auf 1, 2 oder 3 setzen, um ein ein-, zwei- oder dreidimensionales Array zu verwenden. In diesem Fall werden zusätzliche Eigenschaften angezeigt (siehe unten).
Layout | Darstellung im Map-Layout Legt fest, wie das Array im Map-Layout dargestellt wird (vertikal oder horizontal).
Dimension n
Start Index | Startindexwert für jede Dimension. Sie können eine Zahl oder den Namen einer Variablen eingeben. Der tatsächliche Wert wird in dem Programm angegeben, das die Map-Definition aufruft. Wenn nicht als ein Feld in der Map definiert, wird davon ausgegangen, dass die Variable mit Natural-Datenformat/Länge N7 definiert ist. Das Entfernen eines Startindexwerts aus einem Array hat zur Folge, dass die Variable auch aus der Map entfernt wird, es sei denn, sie ist ein Map-Feld oder sie ist mit einem anderen Map-Feld als Startindexwert oder Hilfeparameter verknüpft.
Upper Bound | Obere Begrenzung Die obere Begrenzung des Feldes. Diese Zahl ist die höchste Ausprägung in der ersten, zweiten und dritten Dimension.
Occurrences | Ausprägungen Die Anzahl der Ausprägungen, die in der Map angezeigt werden sollen. Sie können die Größe des Feldes auch mit der Maus vertikal verändern. Der entsprechende Wert wird automatisch in den Eigenschaften berücksichtigt. Dies gilt nicht für die dritte Dimension eines dreidimensionalen Arrays, da nur zwei Bereiche von Ausprägungen auf dem Bildschirm dargestellt werden können. Eindimensionale Arrays können als mehrzeilige/mehrspaltige Felder angezeigt werden. Für diese Arrays können die zweite Anzahl von Ausprägungen und das Layout für die zweite Dimension definiert werden.
Spacing / Abstände
Line | Zeile Wird nur für Arrays angezeigt, die eine Dimension mit vertikaler Ausrichtung haben. Dies ist die Anzahl der Leerzeilen, die horizontal zwischen jeder Dimensionsausprägung im Array eingefügt werden.
Column | Spalte Wird nur für Arrays angezeigt, die eine Dimension mit horizontaler Ausrichtung haben. Die Anzahl der leeren Spalten, die vertikal zwischen jeder Dimensionsausprägung im Array eingefügt werden.
Group | Gruppe Wird nur bei Arrays mit einer gruppierten Dimension angezeigt. Die Anzahl der Leerzeilen, die vertikal, oder Spalten, die horizontal zwischen jeder Ausprägung der gruppierten Dimension eingefügt werden sollen.
Gruppierung
Dimension | Dimension Wird nur bei einem zwei- oder dreidimensionalen Array angezeigt. Der Index der Dimension, für die die Array-Elemente innerhalb der anderen Dimension mit der gleichen Ausrichtung gruppiert werden.
Orientation | Ausrichtung Wird nur bei einem dreidimensionalen Array angezeigt. Die Ausrichtung, in der die Elemente, die der gruppierten Dimension entsprechen, angezeigt werden.

Weitere Informationen zu Arrays finden Sie im Leitfaden zur Programmierung in der vorliegenden Dokumentation bzw. in der Natural-Dokumentation für die entsprechende Plattform.

## Anzeigen der Statuseigenschaften

Die folgenden Eigenschaften (Properties) sind für die Map selbst und für alle Controls in der Map verfügbar:

Eigenschaft | Beschreibung
--- | ---
Modified | Geändert Änderungsstatus (nur Lesezugriff). Wenn dieser Wert auf true gesetzt ist, wurde das ausgewählte Element seit dem letzten Speichern der Map geändert.
Error Status | Fehlerstatus Fehlerstatus und Warnstatus (nur Lesezugriff). Mögliche Werte: Critical Error Die Map enthält einen kritischen Fehler. Error Das ausgewählte Element oder eines seiner untergeordneten Elemente enthält einen Fehler. Warning Das ausgewählte Element oder eines seiner untergeordneten Elemente enthält eine Warnung. None Keine: Weder das ausgewählte Element noch eines seiner untergeordneten Elemente enthält Fehler oder Warnungen. Fehler und Warnungen werden in Form von Label-Decorations in der Outline-Ansicht angezeigt. Informationen über den Schweregrad eines Fehlers oder einer Warnung finden Sie unter Fehlerbehandlung im Map-Editor.

## Speichern von Maps

Maps werden mit den Standardfunktionen von Eclipse gespeichert.

Wenn jedoch ein dynamisches Layout vorhanden ist, gilt Folgendes:

Wenn Sie eine Map speichern, wird nur die sogenannte Host Map gespeichert. Erst wenn Sie den Editor schließen, wird die Layout Map gespeichert. In diesem Fall erscheint ein Dialog, in dem Sie gefragt werden, ob Sie die Layout Map speichern möchten.

Wenn Sie die Layout Map zu einem früheren Zeitpunkt speichern möchten, gehen Sie wie folgt vor:

Um die Layout Map zu speichern (nur dynamisches Layout):

1. Markieren Sie in der Outline-Ansicht die Layout Map.

2. Rufen Sie das Kontextmenü für die Map auf und wählen Sie Save.

   Oder:
   Drücken Sie CTRL+S.

   Oder:
   Wählen Sie im Menü File die Schaltfläche Save.

## Speichern von Maps (Stow)

Wenn Sie eine Map in der Natural Server-Ansicht geöffnet haben, können Sie die Map direkt aus dem Map Editor heraus sowohl in Quellcode- als auch in Objektform abspeichern.

Um die Map per Stow zu speichern (nur Natural Server-Ansicht):

1. Stellen Sie sicher, dass die Layout-Seite angezeigt wird.

2. Invoke the context menu for the map and choose Stow.

   Rufen Sie das Kontextmenü für die Map auf und wählen Sie Stow.

   Oder:
   Drücken Sie CTRL+T.

## Validierung von Maps

Wenn Sie eine Map speichern, werden automatisch die folgenden Konsistenzprüfungen durchgeführt, um die Gültigkeit der Map zu bestimmen:

Konsistenzprüfung | Beschreibung
--- | ---
Critical Errors | Kritische Fehler Ermittelt, ob die Map einen oder mehrere kritische Fehler enthält, was bedeutet, dass die Map nicht erfolgreich geladen werden konnte. Ist dies der Fall, wird eine Fehlermeldung angezeigt. Dieser Zustand wird in der Regel durch Syntaxfehler innerhalb der `DEFINE DATA`- oder `INPUT`/`WRITE`-Statements verursacht, die durch Öffnen der Map mit dem Source Editor überprüft werden können.
Invalid Data Definitions | Ungültige Datendefinitionen Erkennt, ob einer oder mehrere der Datenabschnitte in der Map Fehler enthalten. Ist dies der Fall, wird eine Fehlermeldung angezeigt. Dieser Zustand wird in der Regel dadurch verursacht, dass eine oder mehrere der eingegebenen Datendefinitionen einen Syntaxfehler aufweisen.
Empty Map | Leere Map Prüft, ob die Map keine Felder enthält. Ist dies der Fall, wird eine Warnmeldung angezeigt. Beachten Sie, dass leere Maps in Natural syntaktisch nicht gültig sind, da die zugrundeliegenden `INPUT`- oder `WRITE`-Statements das Vorhandensein von mindestens einem Operanden erfordern. Außerdem können Maps, die eine oder mehrere Verarbeitungsregeln, aber keine Felder enthalten, aufgrund dieser Einschränkung nicht korrekt geöffnet werden. Um das Risiko einer solchen Situation zu minimieren, ist das Speichern solcher Maps nicht erlaubt.
Overlapping Fields | Überschneidungen bei Feldern Erkennt, ob die Map ein oder mehrere sich überschneidende Felder enthält (und damit syntaktisch ungültig ist). Ist dies der Fall, wird eine Fehlermeldung angezeigt. Außerdem werden die sich überschneidenden Felder automatisch ausgewählt, um Sie bei der Suche nach der Fehlerquelle zu unterstützen.

Wenn Sie die Map zu einem früheren Zeitpunkt validieren wollen, gehen Sie wie unten beschrieben vor.

Um die Map zu validieren:

1. Stellen Sie sicher, dass die Layout-Seite angezeigt wird.

2. Rufen Sie das Kontextmenü für die Map auf und wählen Sie Validate Map.

   Oder:
   Drücken Sie CTRL+ALT+V.

   Im Falle eines Fehlers wird ein Meldungsdialog angezeigt, der Informationen über den Fehler enthält.

   Standardmäßig wird ein Meldungsdialog angezeigt, auch wenn die Validierung erfolgreich war. Dieses Verhalten kann in den Natural-Voreinstellungen geändert werden. Siehe Map Editor in Setting the Preferences in der NaturalONE-Dokumentation.

## Fehlerbehandlung im Map-Editor

In der Outline-Ansicht werden Fehler und Warnungen in Form von Label-Decorations angezeigt (siehe auch Viewing the Status Properties in der NaturalONE-Dokumentation). Welche Decoration verwendet wird, hängt vom Schweregrad ab (siehe unten):

Decoration | Beschreibung
--- | ---
| Kritischer Fehler Diese Decoration wird beim Top-Level-Knoten angezeigt, wenn eine oder mehrere Komponenten der Map (z.B. Feld- oder Datendefinitionen) nicht korrekt geladen werden konnten, typischerweise aufgrund eines Syntaxfehlers. Kritische Fehler können nicht innerhalb der aktuellen Editor-Sitzung korrigiert werden. Die genaue Position des Fehlers/der Fehler kann durch Öffnen der Map mit dem Source Editor ermittelt werden.
| Fehler Diese Decoration wird angezeigt, um Fehler darzustellen, die in der aktuellen Editor-Sitzung behoben werden können.
| Warnung Diese Decoration warnt den Benutzer vor Konflikten, die noch nicht schwerwiegend genug sind, um als Fehler angesehen zu werden.

Wenn Sie den Mauszeiger über ein Element in der Outline-Ansicht bewegen, das einen Fehler oder eine Warnung verursacht, erscheint ein Tooltip. Dieser Tooltip kann einen oder mehrere Links enthalten. Sie können zu einem Fehler in einer Map navigieren, indem Sie auf den entsprechenden Link klicken. In bestimmten Fällen steht auch ein Link zur Verfügung, der es Ihnen ermöglicht, die Map zu validieren und damit Informationen über den Fehler in einem Meldungsfeld anzuzeigen (siehe auch Validating Maps in der NaturalONE-Dokumentation).

Sie können auch zu einem Fehler in einer Map navigieren, indem Sie die Problems-Ansicht verwenden (siehe die Beschreibung unter Problems in Your Natural Sources in der NaturalONE-Dokumentation). Die Einstellungen für den Source Editor, insbesondere die Option Show error list, gelten auch für die Seiten List, Data und Source des Map Editors.

Wenn Sie zu einem Fehler navigieren, reagiert der Map Editor auf eine solche Anforderung, indem er versucht, die erste Map-Komponente (Datendefinition, Textkonstante, Datenfeld, Array-Element oder Verarbeitungsregel) zu finden, die die durch die gewählte Fehlermarkierung dargestellte Zeile (oder einen Teil davon) enthält, und (wenn eine solche Komponente gefunden wird) sie auf der List-Seite des Map Editors auswählt, oder im Falle einer Verarbeitungsregel auf der Source-Seite auswählt. Wenn keine Komponente gefunden wird oder die Navigation aus einem anderen Grund fehlschlägt, wird ein Meldungsdialog angezeigt.

Es ist wichtig zu wissen, dass sich die im Tooltip der Outline-Ansicht angezeigten Fehler auf den aktuellen Zustand der Map im Editor beziehen, während sich die in der Problems-Ansicht angezeigten Ressourcenmarkierungen auf die Map beziehen, wie sie im Arbeitsbereich gespeichert ist.

Informationen zu dem Fehler oder der Warnung können auch in die Error Log-Ansicht geschrieben werden.

Anmerkungen:

1. Die Informationen im Abschnitt Fehlerbehandlung im Source Editor gelten auch für die Seiten List, Data und Source des Map Editor.
2. Die Label Decorations für Fehler und Warnungen im Map Editor werden über die Voreinstellungen unter General > Appearance > Label Decorations gesteuert. Wenn Sie diese Label Decorations nicht wünschen, gehen Sie einfach auf die oben genannte Voreinstellungsseite und deaktivieren Sie die Option Natural Map Editor Errors and Warnings.

### On this page

- Allgemeines zum Map Editor
- Zugehörige Ansichten
- Hinzufügen von Controls (Steuerelementen) zur Map
- Auswählen von Controls in der Map
- Ändern des Referenz-Control für die Auswahl
- Verwalten der Controls in der Map
- Definieren von Regeln
- Verschieben von Datendefinitionen in Datenfelder
- Bearbeiten des Codes einer Map
- Ändern der Eigenschaften der Map
- Ändern der Eigenschaften einer Textkonstante
- Ändern der Eigenschaften für ein Datenfeld
- Ändern der Eigenschaften für eine Regel
- Definieren von Arrays
- Anzeigen der Statuseigenschaften
- Speichern von Maps
- Speichern von Maps (Stow)
- Validierung von Maps
- Fehlerbehandlung im Map-Editor